/**
  *  \file ui/widgets.cc
  *  \brief Standard Widgets
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include <cctype>
#include "ui/widgets.h"

static inline char lc(char c) {
    using namespace std;
    return tolower((unsigned char) c);
}

UIKeyString::UIKeyString(const char* s)
    : k(lc(s[0])), s(s)
{ }

UIKeyString::UIKeyString(const string_t& s)
    : k(lc(s[0])), s(s)
{ }

UIKeyString::~UIKeyString()
{ }

